KickoutUser
https://rtc-api.zego.im/
Use this interface to kick out a specified User from the Room. All the User's current publishing and playing Streams will be stopped. This is commonly used in content moderation scenarios where the developer's backend detects that a User's live streaming content violates the rules, and the User needs to be kicked out from the Room through this interface.
The kicked User on the client will receive the ZEGOCLOUD SDK callback interface:
| ZegoExpress SDK | LiveRoom SDK | |
|---|---|---|
| iOS/macOS | onRoomStateChanged | onKickOut |
| Android | onRoomStateChanged | onKickOut |
| Windows | onRoomStateChanged | OnKickOut |
| Web/小程序 | roomStateChanged | onKickOut |
The client receives notifications of User changes in the Room using the ZEGO Express SDK callback interface:
| ZegoExpress SDK | LiveRoom SDK | |
|---|---|---|
| iOS/macOS | onRoomUserUpdate | onUserUpdate |
| Android | onRoomUserUpdate | onUserUpdate |
| Windows | onRoomUserUpdate | OnUserUpdate |
| Web/小程序 | roomUserUpdate | onUserStateUpdate |
Request
Query Parameters
Possible values: [KickoutUser]
API prototype parameters
https://rtc-api.zego.im?Action=KickoutUser
💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.
💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.
💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.
💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.
Possible values: [2.0]
Default value: 2.0
💡Public parameter. Signature version number.
Room ID.
Possible values: >= 1, <= 5
List of User IDs to kick out from the Room. Maximum of 5 User IDs supported.
Possible values: <= 256 characters
Reason for kicking out. Maximum length is 256 bytes. When used, URL encoding (UrlEncode) must be performed on the content.
Responses
- 200
- application/json
